import matplotlib.pyplot as plt

import numpy as np
import scipy.linalg

import csv
import pandas as pd



# path = r'/home/dennis/Downloads/icra2021-master/output/data.csv'
path = r'/home/dennis/Dropbox (MSRM)/RSS-Paper/ICRA2021/LaTeX/python/linear_hip_centered_single_hop/data.csv'

x = []
dx = []

z = []
dz = []
l = []
phi = []
dphi = []

theta = []
dtheta = []

dl = []
u1 = []
u2 = []

lambda1 = []
lambda2 = []

xf = []
yf = []
zf = []


E_kin = []
E_pot = []
E_spring = []


#Read values from csv file
reader = csv.DictReader(open(path))
counter = 0
for row in reader:
    z.append(float(row['z']) )
    dz.append(float(row['dz']) )
    x.append(float(row['x']) )
    dx.append(float(row['dx']) )
    l.append(float(row['l']) )
    dl.append(float(row['dl']) )

    phi.append(float(row['psi']) )
    dphi.append(float(row['dpsi']) )
    theta.append(float(row['theta']) )
    dtheta.append(float(row['dtheta']) )

    u1.append(float(row['u1']) )
    u2.append(float(row['u2']) )
    lambda1.append(float(row['lambda1']) )
    lambda2.append(float(row['lambda2']) )

    xf.append(float(row['xf']) )
    yf.append(float(row['yf']) )
    zf.append(float(row['zf']) )
    E_kin.append(float(row['E_kin']) )
    E_pot.append(float(row['E_pot']) )
    E_spring.append(float(row['E_ges']) )


u_plot = []

time = 0.53



time_steps =  np.linspace(0,time, len(u1), endpoint=True)

# plt.plot(time_steps, z)
# plt.plot(time_steps, x)

#plt.plot(theta, dtheta)
#plt.plot(phi, dphi)


#plt.plot(time_steps, z)
#plt.plot(time_steps, dz)
#plt.plot(z,dz)

#plt.plot(time_steps, u1)
#plt.plot(time_steps, u2)

#plt.plot(time_steps,l)
#plt.plot(time_steps,dl)

#plt.step(time_steps,u1)
#plt.step(time_steps,u2)

plt.rcParams.update({'font.size': 15})

# fig, (ax1, ax2, ax3) = plt.subplots(1, 3)
# #fig.suptitle('Phase portraits')
# ax1.plot(z,dz)
# ax1.set_xlabel(r'$\dot{z} [\frac{\mathrm{m}}{\mathrm{s}}]$')
# ax1.set_ylabel(r'$z [\mathrm{m}]$')
# ax1.grid(color='b', ls = '-.', lw = 0.25)

# ax2.plot(theta,dtheta)
# ax2.set_xlabel(r'$\dot{\theta} [\frac{\mathrm{rad}}{\mathrm{s}}]$')
# ax2.set_ylabel(r'$\theta [\mathrm{rad}]$')
# ax2.grid(color='b', ls = '-.', lw = 0.25)

# ax3.plot(phi,dphi)
# ax3.set_xlabel(r'$\dot{\phi} [\frac{\mathrm{rad}}{\mathrm{s}}]$')
# ax3.set_ylabel(r'$\phi [\mathrm{rad}]$')
# ax3.grid(color='b', ls = '-.', lw = 0.25)



# fig, (ax1, ax2) = plt.subplots(1, 2)
# #fig.suptitle('Phase portraits')
# ax1.plot(time_steps, u1)
# ax1.set_xlabel(r'$t [\mathrm{s}]$')
# ax1.set_ylabel(r'$u_1 [\mathrm{Nm}]$')
# ax1.grid(True)

# ax2.plot(time_steps, u2)
# ax2.set_xlabel(r'$t [\mathrm{s}]$')
# ax2.set_ylabel(r'$u_2 [\mathrm{N}]$')
# ax2.grid(True)




fig = plt.figure()
ax = fig.add_subplot(111)


# factor = 1.0/(9.81*12.0)

# print(np.size(lambda1))


# for i in range(1, np.size(lambda1) ):
#     if(lambda1[i] != 0):
#         plt.plot([yf[i], lambda1[i]], [zf[i], lambda2[i]], linewidth=0.2, linestyle="-", c="blue",)

#     #plt.plot([yf[i], -lambda1[i]], [zf[i], -lambda2[i]], linewidth=0.2, linestyle="-", c="blue",)
#     ax.axis('equal')
#     ax.set_xlabel(r'$x [\mathrm{m}]$')
#     ax.set_ylabel(r'$z [\mathrm{m}]$')
    # plt.plot([0, lambda1[i]], [0, lambda2[i]])

    # plt.plot([yf[i],zf[i]], [yf[i] - lambda2[i]*factor,zf[i]-lambda1[i]*factor])

#plt.plot(yf,zf)

ax.grid(True)

plt.plot(E_kin)
plt.show()

plt.show()